Retrieves project statuses

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project_status
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the project status

string

Required

Max length: 50

is_default

Is default (auto selected when creating new project)

boolean
is_closed

Inform if this status means that the project/installation is archived

boolean

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating project_status

string
sales_organization

Embedded entity "sales_organization" when adding/updating project_status

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "908dc06f-bf61-44fe-a904-d8e6998e31cc",
  "name": "sample string 2",
  "is_default": true,
  "is_closed": true,
  "sales_organization_id": "fba15910-adfc-437f-a9ef-06f36816171a",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "79fd8701-d4d0-405b-831d-439e9ed91b54",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "a254bc63-2061-4954-99b1-64942619461a",
    "db_currency_id": "d3654422-25b8-4b2e-b676-b4809e0378d7",
    "db_language_id": "45fef60f-cb50-400d-bb38-16725517b859",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-11T04:16:00.2423119+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-07-11T04:16:00.2423119+00:00"
}